# Class BufferChangedEvent

java.lang.Object
java.util.EventObject
org.eclipse.jdt.core.BufferChangedEvent

All Implemented Interfaces:
  `Serializable`

public class BufferChangedEvent extends EventObject
A buffer changed event describes how a buffer has changed. These events are used in `IBufferChangedListener` notifications.

For text insertions, `getOffset` is the offset of the first inserted character, `getText` is the inserted text, and `getLength` is 0.

For text removals, `getOffset` is the offset of the first removed character, `getText` is `null`, and `getLength` is the length of the text that was removed.

For replacements (including `IBuffer.setContents`), `getOffset` is the offset of the first replaced character, `getText` is the replacement text, and `getLength` is the length of the original text that was replaced.

When a buffer is closed, `getOffset` is 0, `getLength` is 0, and `getText` is `null`.

See Also:
  - `IBuffer`
  - Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`BufferChangedEvent(IBuffer buffer, int offset, int length, String text)`
Creates a new buffer changed event indicating that the given buffer has changed.

## Method Summary

Modifier and Type
Method
Description
`IBuffer`
`getBuffer()`
Returns the buffer which has changed.
`int`
`getLength()`
Returns the length of text removed or replaced in the buffer, or 0 if text has been inserted into the buffer.
`int`
`getOffset()`
Returns the index of the first character inserted, removed, or replaced in the buffer.
`String`
`getText()`
Returns the text that was inserted, the replacement text, or `null` if text has been removed.

### Methods inherited from class EventObject

`getSource, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BufferChangedEvent

public BufferChangedEvent(IBuffer buffer, int offset, int length, String text)
Creates a new buffer changed event indicating that the given buffer has changed.

Parameters:
  `buffer` - the given buffer
  `offset` - the given offset
  `length` - the given length
  `text` - the given text

## Method Details

### getBuffer

public IBuffer getBuffer()
Returns the buffer which has changed.

Returns:
  the buffer affected by the change

### getLength

public int getLength()
Returns the length of text removed or replaced in the buffer, or 0 if text has been inserted into the buffer.

Returns:
  the length of the original text fragment modified by the buffer change (`0` in case of insertion).

### getOffset

public int getOffset()
Returns the index of the first character inserted, removed, or replaced in the buffer.

Returns:
  the source offset of the textual manipulation in the buffer

### getText

public String getText()
Returns the text that was inserted, the replacement text, or `null` if text has been removed.

Returns:
  the text corresponding to the buffer change (`null` in case of deletion).